summaryrefslogtreecommitdiff
path: root/qa/077
diff options
context:
space:
mode:
Diffstat (limited to 'qa/077')
-rwxr-xr-xqa/07752
1 files changed, 52 insertions, 0 deletions
diff --git a/qa/077 b/qa/077
new file mode 100755
index 0000000..8a2bd7a
--- /dev/null
+++ b/qa/077
@@ -0,0 +1,52 @@
+#! /bin/sh
+# PCP QA Test No. 077
+# exercise new _pm*Zone* functions
+#
+# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard filters
+. ./common.product
+. ./common.filter
+
+if [ $PCP_VER -lt 3600 ]
+then
+ # V1 archives supported
+ arch=src/babylon.percpu
+else
+ # no support for V1 archives
+ arch=src/babylon.percpu_v2
+fi
+
+status=0
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+remote=`./getpmcdhosts -n 1 -L 2>$tmp.out`
+if [ -z "$remote" ]
+then
+ cat $tmp.out >$seq.notrun
+ exit
+fi
+
+# real QA test starts here
+echo "source local, local time"
+src/exertz | sed -e '/PMAPI context/s/:.*/: LOCAL TIME at epoch/'
+
+echo ""
+echo "source local, Zulu time"
+src/exertz -Z "ZST-4"
+
+echo ""
+echo "source remotehost, local time"
+src/exertz -h $remote | sed -e '/PMAPI context/s/:.*/: LOCAL TIME at epoch/'
+
+echo ""
+echo "source remotehost, remotehost time"
+src/exertz -h $remote -z $remote | sed -e '/PMAPI context/s/:.*/: REMOTE TIME at epoch/'
+
+echo ""
+echo "source babylon archive, babylon time"
+src/exertz -a $arch -z babylon